# pandas.tseries.offsets.CustomBusinessHour

class `pandas.tseries.offsets.``CustomBusinessHour`(n=1, normalize=False, weekmask='Mon Tue Wed Thu Fri', holidays=None, calendar=None, start='09:00', end='17:00', offset=datetime.timedelta(0))

  DateOffset subclass representing possibly n custom business days.

  New in version 0.18.1.

  Attributes

  `base` | Returns a copy of the calling offset object with n=1 and all other attributes equal.
  `kwds` |
  `name` |
  `nanos` |
  `offset` | Alias for self._offset.
  `rule_code` |

  Methods

  `__call__` |
  `apply`(other) |
  `apply_index` | Vectorized apply of DateOffset to DatetimeIndex, raises NotImplentedError for offsets without a vectorized implementation.
  `copy` |
  `isAnchored`() |
  `onOffset`(dt) |
  `rollback`(dt) | Roll provided date backward to next offset only if not on offset.
  `rollforward`(dt) | Roll provided date forward to next offset only if not on offset.

Scroll To Top